VirtualBox

Ticket #8474 (closed defect: fixed)

Opened 3 years ago

Last modified 2 years ago

Performance and stability problems on new i7 CPUs (Mac OS X)

Reported by: natethegreat44 Owned by:
Priority: major Component: other
Version: VirtualBox 4.0.4 Keywords:
Cc: Guest type: other
Host type: Mac OS X

Description

Hi, As noted in the forum post at  http://forums.virtualbox.org/viewtopic.php?f=8&t=39368, VirtualBox is very slow and leads to host OS freezes on machines with new i7 CPUs (including quad core MacBook Pros and 12-core MacPros).

Disabling VT-x helps with the extremely bad performance, but eventually the host OS will lock up.

I have attached a vbox log file here. This log file was created while booting a pristine windows XP guest and then shutting it down, with VT-x enabled. Guest additions are installed. The entire this guest was running, the CPU on the host OS spiked to 100%.

Attachments

XP-2011-03-02-07-13-08.log Download (64.9 KB) - added by natethegreat44 3 years ago.
VBox.log
XP-2011-03-02-07-19-27.log Download (59.4 KB) - added by natethegreat44 3 years ago.
VBox log of same guest boot with VT-x disabled
XP-2011-03-02-10-06-25.log Download (64.8 KB) - added by natethegreat44 3 years ago.
Vbox log of XP guest with largepages off, VT-x enabled
XP-2011-03-02-20-33-53 Download (67.0 KB) - added by natethegreat44 3 years ago.
VBox guest log from Windows 7 Host on Sandy Bridge Machine
Technologov's Rig 2011 - Windows XP-2011-03-03-18-42-07.log Download (78.8 KB) - added by Technologov 3 years ago.
Running fine.
i7-xp-boot.mp4 Download (165.7 KB) - added by jojule 3 years ago.
Video of booting XP. Observe how the guest behaves when I start clicking host-key.
REAL PROBLEM.png Download (35.5 KB) - added by pdmes 3 years ago.
What the real problem is instead of "new i7 CPUs" or "disable VT-x"
VBox.log Download (69.5 KB) - added by OxOOCOFFEE 3 years ago.
Clean load with VT-x off and BSOD WinXP SP3
VBox-Ubuntu64Guest-MacHost-GuestAdditions.log Download (47.1 KB) - added by kalifg 3 years ago.
Boots, never shows any text or graphics on the screen. 100%+ CPU usage, locks host OS after a few minutes
VBox-crash-jcw5002.log Download (40.1 KB) - added by jcw5002 3 years ago.
MBP Host crash (VT-x, PAE, nested paging ALL OFF)
niklas-64bit-i7.VBox.log Download (53.8 KB) - added by niklas 3 years ago.
vbox 4.0.8 log from early 2011 mbp 15" 2.2ghz i7, debian 64bit guest running very slow
jcw5002-crash-dump.zip Download (24.7 KB) - added by jcw5002 3 years ago.
frank - I have attached a zip containing some VirtualBox logs from Console->CrashReporter. I think this is what you are looking for. I have narrowed the crashes down to the VT-x checkbox. That seems to be the only factor on my machine. Enabling = OK. If it's unchecked, my system is bound to freeze with a 3-beep hardware sound.
Pharos SALA-2011-05-31-10-26-22.log Download (42.1 KB) - added by ebonweaver 3 years ago.

Change History

Changed 3 years ago by natethegreat44

VBox.log

comment:1 follow-ups: ↓ 3 ↓ 4 Changed 3 years ago by frank

Please disable large pages (VBoxManage modifyvm VM_NAME --largepages off) and while keeping VT-x enabled see if that makes a difference.

Changed 3 years ago by natethegreat44

VBox log of same guest boot with VT-x disabled

comment:2 Changed 3 years ago by natethegreat44

I also attached a log file of the same VM booting with VT-x disabled. As you can see, it is MUCH faster...

comment:3 in reply to: ↑ 1 Changed 3 years ago by rayp

Replying to frank:

Please disable large pages (VBoxManage modifyvm VM_NAME --largepages off) and while keeping VT-x enabled see if that makes a difference.

No difference on my end with the suggestion to disable large pages and keep VT-x enabled. With this setting, Guest is very, very slow. CPU is > 96%.

BTW, one time when I had VT-x disabled, and my Mac hung-up, I did see a small message in the upper left corner of the screen that indicated "CPU 6 Panic Error" (or something like that).

Hope that helps! Again, thanks to all who support this product!

comment:4 in reply to: ↑ 1 Changed 3 years ago by natethegreat44

Replying to frank:

Please disable large pages (VBoxManage modifyvm VM_NAME --largepages off) and while keeping VT-x enabled see if that makes a difference.

This didn't make any difference on my machine either. I'll attach the log file from this run.

Changed 3 years ago by natethegreat44

Vbox log of XP guest with largepages off, VT-x enabled

comment:5 follow-up: ↓ 6 Changed 3 years ago by pvernaza

It's worth mentioning that the affected Macbooks all have the new Sandy Bridge processors, which are currently pretty rare due to the SATA bug affecting the corresponding chipset. Though one person in the thread mentioned in the description claimed a similar problem with the "12-core" (Mac Pro, I assume), I suspect might be another issue.

Changed 3 years ago by natethegreat44

VBox guest log from Windows 7 Host on Sandy Bridge Machine

comment:6 in reply to: ↑ 5 ; follow-up: ↓ 9 Changed 3 years ago by natethegreat44

Replying to pvernaza:

It's worth mentioning that the affected Macbooks all have the new Sandy Bridge processors, which are currently pretty rare due to the SATA bug affecting the corresponding chipset. Though one person in the thread mentioned in the description claimed a similar problem with the "12-core" (Mac Pro, I assume), I suspect might be another issue.

pvernaza, I answered your question from the forum thread... VirtualBox 4.0.4 for Windows worked great on the same hardware. The log file from this guest boot up has been attached.

Please let me know if there is any other information I can provide.

Thank you!

comment:7 follow-up: ↓ 8 Changed 3 years ago by Technologov

hmmm... I have Sandy Bridge CPU and it works fine with all guests. Large pages enabled.

Host: Windows 7 64-bit, Intel Core i7 2600K CPU, VBox 4.0.0. ("Technologov's Rig 2011")

Is it Mac OS X host specific problem ?

-Technologov, 4.3.2011.

Changed 3 years ago by Technologov

Running fine.

comment:8 in reply to: ↑ 7 Changed 3 years ago by natethegreat44

Replying to Technologov:

hmmm... I have Sandy Bridge CPU and it works fine with all guests. Large pages enabled.

Host: Windows 7 64-bit, Intel Core i7 2600K CPU, VBox 4.0.0. ("Technologov's Rig 2011")

Is it Mac OS X host specific problem ?

-Technologov, 4.3.2011.

Hi Technologov,

It seems to be specific to Mac OS X hosts at this point. I too had good results when running a Windows 7 host on the same hardware.

Nate

comment:9 in reply to: ↑ 6 ; follow-up: ↓ 10 Changed 3 years ago by twasson

Replying to natethegreat44:

Replying to pvernaza:

It's worth mentioning that the affected Macbooks all have the new Sandy Bridge processors, which are currently pretty rare due to the SATA bug affecting the corresponding chipset. Though one person in the thread mentioned in the description claimed a similar problem with the "12-core" (Mac Pro, I assume), I suspect might be another issue.

pvernaza, I answered your question from the forum thread... VirtualBox 4.0.4 for Windows worked great on the same hardware. The log file from this guest boot up has been attached.

Please let me know if there is any other information I can provide.

Thank you!

I suspect that this is indeed the same issue with 12 core Macs and the new 4 core i7's, and that it's all about the 64bit default kernel. I've been fighting this precise issue for months, since before VirtualBox 4.0 was released, on my 12 core Mac Pro. Last night I tried the suggested workaround here (disabling VT-x (and implicitly, Nested Paging) and PAE/NX) and got a Kubuntu image to boot up and install from the iso. However, after leaving it updating itself overnight, I returned this morning to find the machine hung, further matching the behavior seen from the 4 core i7 folks.

Long story short, I'm just giving a +1 for the 12 core Mac Pros showing the same issue. Argh.

comment:10 in reply to: ↑ 9 ; follow-up: ↓ 11 Changed 3 years ago by rednyte

Replying to twasson:

Replying to natethegreat44:

Replying to pvernaza:

It's worth mentioning that the affected Macbooks all have the new Sandy Bridge processors, which are currently pretty rare due to the SATA bug affecting the corresponding chipset. Though one person in the thread mentioned in the description claimed a similar problem with the "12-core" (Mac Pro, I assume), I suspect might be another issue.

pvernaza, I answered your question from the forum thread... VirtualBox 4.0.4 for Windows worked great on the same hardware. The log file from this guest boot up has been attached.

Please let me know if there is any other information I can provide.

Thank you!

I suspect that this is indeed the same issue with 12 core Macs and the new 4 core i7's, and that it's all about the 64bit default kernel. I've been fighting this precise issue for months, since before VirtualBox 4.0 was released, on my 12 core Mac Pro. Last night I tried the suggested workaround here (disabling VT-x (and implicitly, Nested Paging) and PAE/NX) and got a Kubuntu image to boot up and install from the iso. However, after leaving it updating itself overnight, I returned this morning to find the machine hung, further matching the behavior seen from the 4 core i7 folks.

Long story short, I'm just giving a +1 for the 12 core Mac Pros showing the same issue. Argh.

natethegreat44, I took your suspicion of the default kernel being 64-bit and booted my MacBook Pro i7, 17" in 32 bit mode and tried running VirtualBox. Everything worked like before in this mode. The VirtualBox came up quickly. It didn't consume CPU time and I was able to actually work within the environment.

comment:11 in reply to: ↑ 10 Changed 3 years ago by rednyte

Replying to rednyte:

Replying to twasson:

Replying to natethegreat44:

Replying to pvernaza:

It's worth mentioning that the affected Macbooks all have the new Sandy Bridge processors, which are currently pretty rare due to the SATA bug affecting the corresponding chipset. Though one person in the thread mentioned in the description claimed a similar problem with the "12-core" (Mac Pro, I assume), I suspect might be another issue.

pvernaza, I answered your question from the forum thread... VirtualBox 4.0.4 for Windows worked great on the same hardware. The log file from this guest boot up has been attached.

Please let me know if there is any other information I can provide.

Thank you!

I suspect that this is indeed the same issue with 12 core Macs and the new 4 core i7's, and that it's all about the 64bit default kernel. I've been fighting this precise issue for months, since before VirtualBox 4.0 was released, on my 12 core Mac Pro. Last night I tried the suggested workaround here (disabling VT-x (and implicitly, Nested Paging) and PAE/NX) and got a Kubuntu image to boot up and install from the iso. However, after leaving it updating itself overnight, I returned this morning to find the machine hung, further matching the behavior seen from the 4 core i7 folks.

Long story short, I'm just giving a +1 for the 12 core Mac Pros showing the same issue. Argh.

natethegreat44, I took your suspicion of the default kernel being 64-bit and booted my MacBook Pro i7, 17" in 32 bit mode and tried running VirtualBox. Everything worked like before in this mode. The VirtualBox came up quickly. It didn't consume CPU time and I was able to actually work within the environment.

I was actually referring to twasson, not natethegreat44. Sorry.

comment:12 Changed 3 years ago by TDQ

Booting into the 32bit Mac OSX kernal is working as a temporary fix. I'm on a new quad-core MBP with 4GB RAM.

comment:13 Changed 3 years ago by klaus

Might be VPID related... could you try to configure your VM with "VBoxManage modifyvm <vmname> --vtxvpid off" ?

comment:14 Changed 3 years ago by jojule

Tried to set vtcvpid off. Did not help.

To me the problem looks like guest is stuck waiting for some interrupts that never arrive: If nothing happens in the host, guest "freezes" until host key is clicked. This allows guest to continue for a short period of time (from milliseconds to a second or so). To boot Windows XP, going through the loading screen requires dozens of host key presses.

Changed 3 years ago by jojule

Video of booting XP. Observe how the guest behaves when I start clicking host-key.

comment:15 Changed 3 years ago by richard.vijay@…

Hi Experts and Friends

I have Encountered Same Issue, On new Sandy bridge based Intel i7 quad core 64bit processors of New Mac Pro X Snow L..(released 2011 Q1) with 8GB of RAM (!!) . VirtualBox is almost extremely slow and cannot be compared to any its efficiency and clean operation in other hosts till date. I feel this should be fixed as soon as possible.

I always endorsed VirtualBox right from inception, never posted or found time to involve with community,though i wished to.

I still run a VirtualBox on a Xeon based 12 GB Box, Its just the best virtualization pack i have ever used accounting for investment to returns. I run almost 20 + different operating systems efficiently ref  http://serverpress.wordpress.com ( http://serverpress.wordpress.com). and various advanced beta OS/appliances.

Please, Lets try and Fix this at earliest for Mac

comment:16 Changed 3 years ago by jojule

Just to state the obvious and emphasize the importance of this issue: At the moment virtual box do not work with any MacBook Pro laptops you can purchase today.

comment:17 Changed 3 years ago by izaya

Same Problem here with a OSX Hack (with Sandy Bridge) and the special 10.6.6 kernel from the new MBP's with Sandy Bridge support.

tried any of the options above, no success, host running in 64bit mode, vm too.

comment:18 Changed 3 years ago by niklaskb

I can also confirm this problem. I'm running VirtualBox under Mac OSX on a new Sandy Bridge MacBook Pro, Ubuntu 10.10 as guest.

comment:19 Changed 3 years ago by stefvbox

same problem under the new macbook pro i7, sandy bridge. Hope we will get a 64 bit solution soon !

Thanks

comment:20 Changed 3 years ago by cloyce

I just wanted to add a "me too". My Sandy Bridge MBP has 4GB RAM, so it's not a "huge memory" problem. I see the almost unbearable slowness and high CPU utilization on all of my pre-existing VMs as well as some new ones I just installed (these include various flavors of Linux new and old as well as Solaris 9, 10, and 11). I've verified that disabling VT-x does fix all the symptoms, but I haven't run it long enough yet to see any lockup problems. I hope I won't...

comment:21 follow-up: ↓ 29 Changed 3 years ago by dlangh

I too experienced the exact problems described here. Disabling Vt-X improved performance, but I then also left a new Virtual Ubuntu machine to download it's 300 updates and when I came back after a few hrs I my mac was locked cold with the words CPU PANIC (and something else I don't recall anymore) imprinted in the top-left of the screen (the mac screen). I was forced to power down and restart.

Reading that others had similar problems, I decided to look through the source code for VirtualBox and saw that the developers seemed to be making some changes that looked to be related to this problem based on their commit comments. I went ahead downloaded the svn tree (goto the general vbox download page to get the link for that), then went to this page:  http://www.virtualbox.org/wiki/Mac%20OS%20X%20build%20instructions and followed those instructions and successfully built a working 4.0.5 development version of VirtualBox.

I then went back into my Ubuntu VM and restarted the updates, and walked away again for a few hours. I came back and it was all fine and everything running.

Final note, I tried re-enabling Vt-X and performance degraded considerably, so you still need to disable the Vt-X extensions, but it seems at least it's possible to use VirtualBox reliably without it locking up your mac.

comment:22 Changed 3 years ago by knivn

I can also confirm this problem - MacBook Pro 15" 2Ghz i7, 8GB RAM.

Booting the host into 32bit mode does resolve the issue. I am now in the 64bit kernel and using my XP VM with VT-x disabled. I am yet to see a hang and it has been running for about 5 hours.

comment:23 Changed 3 years ago by naxto

I can confirm this problem too - MacBook Pro 15" 2GHz i7, 4GB RAM.

I installed in virtualbox windows7 64 bit and is veery slow. But when I tried to change setting for the virtual machine and disable the option VT-x/AMD-V, system did not allowed to do and it says: Non-optimal settings detected. How can I disable the VT-x option? I am new on Mac, so thanx for any advice....

comment:24 follow-up: ↓ 25 Changed 3 years ago by ChrisD24

@Naxto I believe the only solution is to reboot your Mac holding down the 3 and 2 keys. This will start your MacBook with the 32-bit Kernel. After you reboot go to the Apple menu and click About This Mac, followed by More Info. In the window that pops up click on Software in the list you should see "64-bit Kernel and Extensions: No". If you see a Yes - you didn't hold 3 & 2 in time. I am assuming this will only let you install Windows 7 32-bit, but that's the only work around I found at the moment. To reboot into 64-bit again just restart your Mac.

BTW - I tried to disable VT-x but it wouldn't "stick" - maybe because I told it I was using Windows 7?

comment:25 in reply to: ↑ 24 Changed 3 years ago by ChrisD24

Replying to ChrisD24:

@Naxto I believe the only solution is to reboot your Mac holding down the 3 and 2 keys. This will start your MacBook with the 32-bit Kernel. After you reboot go to the Apple menu and click About This Mac, followed by More Info. In the window that pops up click on Software in the list you should see "64-bit Kernel and Extensions: No". If you see a Yes - you didn't hold 3 & 2 in time. I am assuming this will only let you install Windows 7 32-bit, but that's the only work around I found at the moment. To reboot into 64-bit again just restart your Mac.

BTW - I tried to disable VT-x but it wouldn't "stick" - maybe because I told it I was using Windows 7?

Didn't notice the reply button - responded above.

comment:26 Changed 3 years ago by twasson

I know people are having success forcing 32bit mode, but I just want to clearly state that this can't be considered a satisfactory solution for the long term. Can OS X even address large amounts of memory in 32bit mode? My machine has 32GB of memory, and I'm not sure it's supported without the 64bit kernel. Even if it is, on principle, everything is moving to 64bit by default, and VirtualBox needs to be ready to handle that transition gracefully. In the meantime, however, it's great that 32bit mode is a workable band-aid fix! Much better than crashing machines, hehe...

comment:27 Changed 3 years ago by rjdza

Can confirm it's happening with VirtualBox-4.0.4-70112-OSX on a new 17" MBP.

comment:28 Changed 3 years ago by edu86

Same problem here. MBP 15" quad-core i7. Guest: Debian 6. Walk-around worked perfectly. thanks!

comment:29 in reply to: ↑ 21 Changed 3 years ago by rickw

Replying to dlangh:

I then went back into my Ubuntu VM and restarted the updates, and walked away again for a few hours. I came back and it was all fine and everything running.

Final note, I tried re-enabling Vt-X and performance degraded considerably, so you still need to disable the Vt-X extensions, but it seems at least it's possible to use VirtualBox reliably without it locking up your mac.

Hey folks - thanks for vbox - please keep up the awesome work.

Having the exact issues described here with debian 64 bit based VMs on a new i7 2.0 MBP.

@dlangh - can you confirm this is viable? As in have you seen a guest crash the host after ~hours of uptime? Half way through this process now which is a pain given xcode is no longer bundled, the latest version costs $5, and it's a 4.1 GB download! :-)

comment:30 Changed 3 years ago by Marcet

It seems that the new MBP are booting in 64 bit kernel by default. May be the virtualbox mac release do not include 64 bit kernel module.

comment:31 Changed 3 years ago by rickw

@marcet - if that were the case then surely it would fail to install. In anycase - manual build / macports nonsense is rather tedious. Ironic that I switched to vbox hosted demian vm's so I wouldn't have to rely on macports etc... I guess this will be addressed soon enough.

comment:32 follow-up: ↓ 33 Changed 3 years ago by mawe@…

facing same performance problems with mbp 2.2 8gb ram; so bootin in 32 bit mode of macos is no option.

after deactivating IO-APIC AND VT-x (and implicitly, Nested Paging) AND PAE/NX i had very good performance; anyone else tried deactivating IO-Apic in bundle with that other option?

hope there will be full support for that options in the future

comment:33 in reply to: ↑ 32 Changed 3 years ago by mawe@…

Replying to mawe@go-open.de:

facing same performance problems with mbp 2.2 8gb ram; so bootin in 32 bit mode of macos is no option.

after deactivating IO-APIC AND VT-x (and implicitly, Nested Paging) AND PAE/NX i had very good performance; anyone else tried deactivating IO-Apic in bundle with that other option?

hope there will be full support for that options in the future

sorry, guest system is debian 10.10

comment:34 Changed 3 years ago by jakehilton

Same issue here.. but after disabling VT-x/AMD-V things are workable.

Best of luck in quickly finding a permanent solution to this issue!

comment:35 follow-up: ↓ 42 Changed 3 years ago by dhepper

I'm also stuck with this issue. As I have a 64bit guest, disabling VT-x is not an option.

I tried to compile VirtualBox from source. But as I'm using Vagrant ( http://vagrantup.com, great tool), which requires a proper installation, just the binary isn't of much use for me. I tried to build a package with "kmk packing", but packagemanager crashed. I then upgraded to XCode 4, now I'm not even able to compile it anymore.

My solution is to continue using an old MBP, which is obviously very unsatisfying. Has anyone success built an installation package from source?

comment:36 follow-up: ↓ 37 Changed 3 years ago by frank

Building VirtualBox from source will not solve this issue.

comment:37 in reply to: ↑ 36 Changed 3 years ago by dhepper

Replying to frank:

Building VirtualBox from source will not solve this issue.

You are right, I misread the comment dlangh regarding compiling from source. So I guess anyone with a 64 bit guest is out of luck, right?

comment:38 Changed 3 years ago by dlangh

He guys, I've been very busy and travelling a lot so I haven't had a chance to do much with this. I am the one who compiled Vbox from source last week and saw some level of success. Unfortunately I did leave my machine idle for about 4 hrs the other day and it locked up (my mac, not the VM itself).

So... I updated the source for vbox from the svn repository and recompiled yesterday. This time, it locked up on me in < 5 minutes, and in my case I didn't have the VT-X extensions enabled for my VM.

I will continue to update source and re-compile as I would assume they'll fix this eventually.

comment:39 Changed 3 years ago by frank

You can be assured that we will tell you when this problem is fixed in the repository, no need to poll. And no, it does not depend on the guest at all, only on the host.

comment:40 follow-up: ↓ 123 Changed 3 years ago by pdmes

Maybe this helps:

New Mac Pros (MBP 2011 and MP 2010) use 64-bit kernel by default  http://support.apple.com/kb/HT3770

"Third-party software (such as a virtualization engine) or hardware (such as a PCIe card) that relies on a kernel extension which was compatible with Mac OS X Server v10.5 may not work on Macs that use the 64-bit kernel in Mac OS X v10.6. Contact the software or hardware vendor for an updated kernel extension that works with the 64-bit kernel in Mac OS X Server v10.6.

As a workaround, you can temporarily start up with the 32-bit kernel to use older kernel extensions for your third-party software or hardware."  http://support.apple.com/kb/TS2937

comment:41 Changed 3 years ago by zandr

32bit kernel definitely fixes the performance and the secondary redraw problems described in #8549. I wonder if #8389 is related, as that machine will also boot with the 64bit kernel by default.

I happen to have both an i7 MBP and a 12-core Mac Pro handy (along with a C2D 'server' mini that runs the 64bit kernel in 10.6 Server), so let me know if I can help test/debug.

comment:42 in reply to: ↑ 35 Changed 3 years ago by dhepper

Replying to dhepper:

I'm also stuck with this issue. As I have a 64bit guest, disabling VT-x is not an option.

Just for the record, a 64 bit guest with VT-x enabled runs fine when booting in 32 bit mode.

comment:43 Changed 3 years ago by rawe

Got the same issue here: new Macbook Pro (8,2) 2.2 GHz Intel Core i7, 4 Gb RAM, OS X v10.6.7, VirtualBox 4.04 Guest is Windows XP Pro (32 bit), worked great on my last Macbook Pro (older version) but is extremely slow on my new i7 Macbook Pro.

Not great, was expecting to see huge performance improvements when switching to the new Mac - just to find that the guest is running something like a thousand million times faster on the old Mac (sort of, at least). Damned...

comment:44 Changed 3 years ago by kangax

Had the same problem with new i7 MBP.

Turning off VT-x made the whole difference. With VT-x enabled, installing Win XP was pretty much taking forever, with mouse barely moving and tab-focus taking few seconds. After disabling, installing is going snappy (as it should) so far.

comment:45 Changed 3 years ago by frank

  • Priority changed from major to critical
  • Summary changed from Performance and stability problems on new i7 CPUs to Performance and stability problems on new i7 CPUs (Mac OS X)

comment:46 Changed 3 years ago by jojule

Have been using XP guests with VT-x disabled occasionally with 64 bit host kernel. Even though the guests seem to work fine, I have been experiencing random crashes of the host every time I have been using VirtualBox.

comment:47 follow-up: ↓ 48 Changed 3 years ago by pdmes

It's not "Performance and stability problems on new i7 CPUs (Mac OS X)" The problem is not the new i7 CPU, it's the 64-bit kernel activated by default on new Macs

 http://support.apple.com/kb/TS2937

Changed 3 years ago by pdmes

What the real problem is instead of "new i7 CPUs" or "disable VT-x"

comment:48 in reply to: ↑ 47 Changed 3 years ago by kubrick

Replying to pdmes:

It's not "Performance and stability problems on new i7 CPUs (Mac OS X)" The problem is not the new i7 CPU, it's the 64-bit kernel activated by default on new Macs

 http://support.apple.com/kb/TS2937

Hi,

I'm using virtualbox on a Core 2 Duo with a 64bits kernel (I have 8GB of RAM so I had to force 64bit kernel to use it) and it works very well event with a 64bit guest (Win7). But I experience this bug on my i7 MBP. So I don't think this problem is only linked to 64bit kernels as you state.

Regards.

comment:49 Changed 3 years ago by rbo

Hi,

I also have the performance problem, but only with the 64-bit extensions and enabled VT-x/AMD-V support.

System details:

Model Name: MacBook Pro
Model Identifier: MacBookPro8,2
Processor Name: Intel Core i7
Processor Speed: 2,2 GHz
Memory: 8 GB

64-bit Kernel and ExtensionsVT-x/AMD-VPerformance
Noenabledperfect
Nodisabledperfect
Yesenabledhorrible
Yesdisabledperfect

I hope I could help it.

Cheers, Robert

comment:50 Changed 3 years ago by ryman

I am also having the same issue on a new MacBook Pro i7. I am unable to turn off the VT-x within the GUI or the XML files. Whenever I change the or remove VT-x option it automatically gets turned back on since it is not an optimal setting. If anyone can let me know how to turn this setting off so that I can run X64 operating systems.

comment:51 follow-up: ↓ 53 Changed 3 years ago by frank

For 64-bit guests and for guests with more than one guest CPU there is no other way than enabling VT-x. We are working hard to get the Core i7 problem fixed.

comment:52 Changed 3 years ago by OxOOCOFFEE

I am running XP SP3 x32 (guest) on MacBook Pro 13 i7 2.7 13" with 128Gb Apple SSD, Sandy Bridge, vbox 4.0.4 When enabling 2 CPUs vbox seems to slow down a lot. Single CPU seems better. At time even on since CPU it feels slower. Not sure what slow means with respect to others. All with 1.5 Gb allocated RAM, 1CPU two networks (NAP and Host only) and VT-x and Nested Paging and Enable IO APIC on. Now from above settings I try to turn off VT-x and restart. Now getting BSOD and rebooting. Enabling it back boots windows fine. So I can't tell what effect VT-x have. If it is faster or slower. I am attaching my clean log with VT-x off and BSOD.

Changed 3 years ago by OxOOCOFFEE

Clean load with VT-x off and BSOD WinXP SP3

comment:53 in reply to: ↑ 51 Changed 3 years ago by jayson

Replying to frank:

For 64-bit guests and for guests with more than one guest CPU there is no other way than enabling VT-x. We are working hard to get the Core i7 problem fixed.

Thanks Frank! I am glad to see that this issue has been picked up. We appreciate all the hard work building a solution!

comment:54 Changed 3 years ago by OxOOCOFFEE

How about 32 bit guests? Are they affected too?

comment:55 Changed 3 years ago by seaton

For the Record I'm also having horrible performance problems with a newly purchased mackbook pro 15" and windows 7 as guest. Have not tried 32bit mode as yet.

comment:56 Changed 3 years ago by xiaohwan

Mark. New 15 i7 MBP. Thanks for your effort to fix this.

comment:57 Changed 3 years ago by ddrewery

Same issue, new 17" MBP. Thanks for making this a priority guys, I look forward to a solution!

comment:58 Changed 3 years ago by OxOOCOFFEE

Bug #8549 is also related to this. Booting to 32bit mode fixes my problems

comment:59 Changed 3 years ago by dlee

Would temporarily disabling VT-x when installing a Windows 7 guest hurt me later when I want to turn VT-x on?

comment:60 Changed 3 years ago by Technologov

Would temporarily disabling VT-x when installing a Windows 7 guest hurt me later when I want to turn VT-x on?

No.

-Technologov

comment:61 Changed 3 years ago by xiaohwan

For several times my host OS gets halted when I run Ubuntu10.10 client with VT-x disabled on i7 15 MBP. Not sure if it's something about Virtualbox ... Anyone also met this?

comment:62 Changed 3 years ago by caseylucas

same issue, new mbp.

comment:63 Changed 3 years ago by Lonnen

Same issue, quad core i7 on and MBP. After 3 hours Fedora has just gotten beyond preparing and on with the actual install. Had to abort the process.

comment:64 in reply to: ↑ description ; follow-up: ↓ 66 Changed 3 years ago by michaelg

Just wanted to chime in -

I also have this same exact problem.

Is there any word if this is being worked on or any kind of projected date of being fixed? Running a laptop that you spent extra money to increase the ram (just for the reason of running virtual machines) isn't ideal.

Thank you.

comment:65 Changed 3 years ago by Technologov

For now, just use 32-bit Mac OS X kernel.

-Technologov

comment:66 in reply to: ↑ 64 ; follow-up: ↓ 67 Changed 3 years ago by frank

Replying to michaelg:

Is there any word if this is being worked on or any kind of projected date of being fixed? Running a laptop that you spent extra money to increase the ram (just for the reason of running virtual machines) isn't ideal.

See my comment from April 1st. We can't promise anything but we do our best to fix this bug for 4.0.6.

comment:67 in reply to: ↑ 66 ; follow-up: ↓ 69 Changed 3 years ago by commorancy

Replying to frank:

See my comment from April 1st. We can't promise anything but we do our best to fix this bug for 4.0.6.

Thanks Frank. Just wanted to chime in and say I've just received a new MBP and I'm also experiencing this issue. I've yet to try the suggested workarounds, but of course the workarounds preclude running a 64 bit guest OS which was the reason I needed Virtualbox. Looking forward to 4.0.6 or whichever version rolls out the fix.

Anyway someone could add some keywords to this bug report to help find it easier? Took me a bit of searching to find the exact bug report for this MBP core i7 issue.

Thanks.

comment:68 Changed 3 years ago by ScottMustard

Same issue,new i7 MBP. Going to build from src and see if I have any better luck.

If I can help test, provide my VBox.log or sacrifice a goat or chicken to help, let me know.

  • SM

comment:69 in reply to: ↑ 67 ; follow-up: ↓ 71 Changed 3 years ago by jancona

Replying to commorancy:

I've yet to try the suggested workarounds, but of course the workarounds preclude running a 64 bit guest OS which was the reason I needed Virtualbox.

I also have a new i7 MBP. Booting the 32-bit kernel does work around the problem, and running a 64-bit guest OS does work in this mode. Give it a try.

Jim

comment:70 Changed 3 years ago by jshuping

So.. 6 weeks later... can we get an ETA on a fix?

comment:71 in reply to: ↑ 69 ; follow-up: ↓ 73 Changed 3 years ago by commorancy

Replying to jancona:

Replying to commorancy:

I've yet to try the suggested workarounds, but of course the workarounds preclude running a 64 bit guest OS which was the reason I needed Virtualbox.

I also have a new i7 MBP. Booting the 32-bit kernel does work around the problem, and running a 64-bit guest OS does work in this mode. Give it a try. Jim

Hmm.. it seems contrary that this works, but after some digging, I've found that apparently a 32-bit kernel can run 64-bit apps, just not 64-bit kexts. I wouldn't have assumed this, but leave it to Apple to figure out a method to allow running 64-bit apps on a 32-bit kernel. I guess this also means that VirtualBox either doesn't use 64-bit kexts or uses 32-bit kexts (if it has any kexts at all).

I'll give it a try.

Thanks for the heads up.

Brian

comment:72 Changed 3 years ago by Technologov

On 32-bit host kernel, VirtualBox uses 32-bit kexts, but can run 64-bit guests.

-Technologov

comment:73 in reply to: ↑ 71 Changed 3 years ago by rjdza

Replying to commorancy:

Hmm.. it seems contrary that this works, but after some digging, I've found that apparently a 32-bit kernel can run 64-bit apps, just not 64-bit kexts. I wouldn't have assumed this, but leave it to Apple to figure out a method to allow running 64-bit apps on a 32-bit kernel. I guess this also means that VirtualBox either doesn't use 64-bit kexts or uses 32-bit kexts (if it has any kexts at all).

Nothing to do with Apple. You need a VT (or equivalent) capable processor to run 64 bit guests. It's that VT technology (I know, I know, VT technology) that allows you to run 64 bit guests on a 32bit OS. Any OS with any decent virtualisation tech can run 64 bit guests on a 32 bit host OS. Where apple was clever was getting 64 bit apps running on a 32 bit OS.

comment:74 Changed 3 years ago by lmulcahy

Just wanted to add a +1 / me too here.

I have seen the exact same issue on an MacBook Pro 15" with the new SandyBridge i7 running on fully 64-bit OSX.

It manifests itself as the guest system being very slow in performance - basically stalling intermittently. It seems for some reason that pressing the host key actually breaks the stall for a brief period. You can make things continue to move along by just tapping the host key a lot, but that is obviously not a real solution - hopefully it just helps in diagnosing the problem.

For now this makes VirtualBox completely unusable for me. I've had to begin using VMWare.

comment:75 Changed 3 years ago by OxOOCOFFEE

I have to add little info here. I switched to 32 bit on Host. And I am running XP x32 as guest (it was installed before booting 32 bit on host). And it becoming slower and slower. I have 8Gb on MBP assigned 2048K for guest. Anyone noticed performance degradation even in 32bit host?

comment:76 Changed 3 years ago by bolo

Any feedback yet on projected fix date? Looking at noted on this issue on the other forums it appears people are moving to VMWARE.

I can't really blame them, I used to love VirtualBox but the lack of response on this 'Critical' issue is really putting me off.

comment:77 follow-up: ↓ 83 Changed 3 years ago by jasonlduff

lmulcahey, bolo...

Can I just re-iterate what has been posted above several times above. If you force the Mac to start in 32-bit mode (how to has been well documented on this bug, and forcing the change to be permanent is easily locatable on the web), the VMs will become perfectly usable... A few comments on 32-bit mode...

  1. Unlike Windows, MacOS does NOT have a 4GB limit when running in 32-bit mode. The PAE implementation on MacOS means that up to 32GB of memory is addressable in 32-bit mode.
  2. Unless you have a VERY specific need to be running a 64-bit KERNEL (Developing 64-bit apps is the only thing I can think of), 32-bit mode will do you fine. *64-bit APPS will still run fine in 32-bit mode* Apple have been doing this since 10.5 - using a 32-bit kernel with 64-bit apps.
  3. You can run a 64-bit GUEST OS on a 32-bit HOST. The processor is the only limiting factor here... so long as the processor a) is 64-bit and b) supports Intel VT-x or AMD-V (which all post-2007 Macs do, even some earlier ones), a 64-bit guest OS works on a 32-bit host OS. The VirtualBox manual explains this as well...

Yes 32-bit mode does not make 'full use' of your Mac's capabilities, but there is no noticeable performance degradation in using 32-bit mode.

All VirtualBox users that are experiencing this issue, I would suggest switching to 32-bit mode until this problem is resolved in 4.0.6 or whenever.

OxOOOCOFFEE... I haven't noticed any performance issues running VMs in 32-bit mode. In fact, my x64 Windows 7 Virtual machine runs faster than on the Core2Duo HP desktop sitting next to me.

comment:78 Changed 3 years ago by dlee

I installed 64bit Windows 7 in 32bit Kernel mode. The guest Windows blue-screened couple of times when installing updates. Also, it would hang when shutting down. If I leave the VM on, it eventually freezes the host Mac as well.

comment:79 Changed 3 years ago by jonesey.m

I had the same massive performance problem with VirtualBox 4.0.4 on a 15" Macbook Pro 2011 (i7 quad sandy bridge). With my config I cannot seem to run with the 32-bit kernel mode so I have tried it with just VT-x disabled (Windows XP and Ubuntu guests). Both guest OSes now perform well but the host system sometimes hangs, requiring a power cycle to clear.

So I am stuck with either using VMware instead, or waiting for this problem to be resolved. It's a shame since I really like VirtualBox and the guest OSes do perform really nicely on the i7 processer (until the host machine hangs, that is).

comment:80 Changed 3 years ago by malsmith

Same issues for me on my 15" MacBook Pro 8Gb Core i7 - I had a bit of improvement by switching the system device in Windows XP from ACPI to Standard PC. But still my setup is 4x or 5x slower than my previous host machine Ubuntu 64-bit Core i5 setup.

comment:81 follow-up: ↓ 82 Changed 3 years ago by frank

Today we released VirtualBox 4.0.6 but unfortunately it does NOT contain a fix for this problem yet. I want to apologize for that. There are some technical problems which have to be resolved. The next maintenance release should fix this annoying bug and we hope that this will NOT take another 8 weeks. Thanks for your understanding!

comment:82 in reply to: ↑ 81 Changed 3 years ago by jayson

Replying to frank:

Today we released VirtualBox 4.0.6 but unfortunately it does NOT contain a fix for this problem yet. I want to apologize for that. There are some technical problems which have to be resolved. The next maintenance release should fix this annoying bug and we hope that this will NOT take another 8 weeks. Thanks for your understanding!

Definitely bummed this did not make it in, but we appreciate the update and concerted effort to get this addressed. Also hoping we don't have to wait 8 more weeks.

comment:83 in reply to: ↑ 77 ; follow-up: ↓ 85 Changed 3 years ago by dlee

Replying to jasonlduff:

Can I just re-iterate what has been posted above several times above. If you force the Mac to start in 32-bit mode (how to has been well documented on this bug, and forcing the change to be permanent is easily locatable on the web), the VMs will become perfectly usable... A few comments on 32-bit mode...

Are you able to run Windows 7 64-bit guest reliably using 32-bit mode? As I commented before, it eventually hard-freezes my host Mac, so there's no reliable workaround at the moment for me.

comment:84 Changed 3 years ago by rojwilco

I am confirming this happens with 4.0.6 as well. I am unable to even run the Windows installer from the DVD.

I hope this gets fixed soon... I would really like to see how well Virtualbox fares against Fusion.

comment:85 in reply to: ↑ 83 ; follow-up: ↓ 86 Changed 3 years ago by jasonlduff

Replying to dlee:

Replying to jasonlduff:

Can I just re-iterate what has been posted above several times above. If you force the Mac to start in 32-bit mode (how to has been well documented on this bug, and forcing the change to be permanent is easily locatable on the web), the VMs will become perfectly usable... A few comments on 32-bit mode...

Are you able to run Windows 7 64-bit guest reliably using 32-bit mode? As I commented before, it eventually hard-freezes my host Mac, so there's no reliable workaround at the moment for me.

Yep no problems running W7 64-bit in 32-bit mode at all, no slow downs on the host, and no host lockups. Perhaps make sure the 64-bit guest settings are correct? FWIW, my settings are:

  • IO APIC enabled
  • PAE/NX enabled
  • VT-x/AMD-V enabled
  • Nested paging enabled
  • PIIX3 chipset
  • no video acceleration (2D or 3D)

comment:86 in reply to: ↑ 85 Changed 3 years ago by dlee

Yep no problems running W7 64-bit in 32-bit mode at all, no slow downs on the host, and no host lockups. Perhaps make sure the 64-bit guest settings are correct? FWIW, my settings are:

  • IO APIC enabled
  • PAE/NX enabled
  • VT-x/AMD-V enabled
  • Nested paging enabled
  • PIIX3 chipset
  • no video acceleration (2D or 3D)

Thanks for that list. Is there a reason you're using the PIIX3 chipset instead of ICH9 and no video accelaration?

comment:87 follow-up: ↓ 88 Changed 3 years ago by jasonlduff

I'm using them as they are the default settings for a 64-bit W7 guest and I haven't seen the need to change them.

I've just tried the ICH9 chipset and don't seem to have any issues either.

My Windows install is mainly for AD & Exchange management, so I don't really need the graphics acceleration (and it's off by default)

comment:88 in reply to: ↑ 87 ; follow-up: ↓ 90 Changed 3 years ago by dlee

Replying to jasonlduff:

I'm using them as they are the default settings for a 64-bit W7 guest and I haven't seen the need to change them.

I've just tried the ICH9 chipset and don't seem to have any issues either.

My Windows install is mainly for AD & Exchange management, so I don't really need the graphics acceleration (and it's off by default)

Cool. Thanks for the info.

Is there a way I can subscribe to this bug so that I get all updates? I want to be notified asap when this is fixed.

comment:89 Changed 3 years ago by mojoneill

Seconding the problem. Extremely frusterating to be dead in the water for so long because of this. Any guess/eta on the fix?

-Michael

comment:90 in reply to: ↑ 88 Changed 3 years ago by dlee

Is there a way I can subscribe to this bug so that I get all updates? I want to be notified asap when this is fixed.

Or, in Bugzilla terminology, is there a way I can CC myself?

comment:91 Changed 3 years ago by jwhitley

To those looking to follow this ticket, note that the VirtualBox tracker provides per-ticket RSS feeds. Add/bookmark the feed in your favorite reader to keep up to date on progress.

comment:92 Changed 3 years ago by ronkinoz

And for those having troubles finding the per-ticket RSS feed URL, for this ticket it is:

 http://www.virtualbox.org/ticket/8474?format=rss

comment:93 Changed 3 years ago by togume

Subscribing to this thread (+1 ... :)

comment:94 follow-up: ↓ 95 Changed 3 years ago by togume

Confirming that I was able to address the issue by booting in 32 bit kernel mode (3+2 keys on bootup).

Looking forward to a fix.

comment:95 in reply to: ↑ 94 Changed 3 years ago by mikestp

Also confirming that everything works fine by booting in 32 bit kernel mode. But I need a real fix. Thanks !!

comment:96 Changed 3 years ago by mikestp

Problem still occurs with 4.0.6.

comment:97 Changed 3 years ago by jonesey.m

Apple released a Macbook Pro (early 2011) software update 1.4 yesterday. This was followed by a firmware/EFI update. The VirtualBox performance issue still happens after these updates.

I have had not had any system freezes yet but there were infrequent anyway, and I did have one when I wasn't even using VirtuaBox.

It would be interesting to hear if anyone still experiences host system freezes with VirtualBox after installing the recent updates from Apple.

comment:98 Changed 3 years ago by jonesey.m

Update..

Shortly after posting my last comment I had another host system freeze when running VirtualBox. It looks like the recent system updates do not fix the stability issues.

comment:99 Changed 3 years ago by bewst

I have switched back to VMWare Fusion; I can't afford to mess around any longer :(

comment:100 Changed 3 years ago by cortical

same problems even after update 1.4, win7 guest hangs entire system (kernel panic) ubuntu impossibly slow to install,run.

comment:101 follow-up: ↓ 102 Changed 3 years ago by rickw

OK - this has been open for 2 months now as critical. I assume there is no commitment to fix this. If I had the know-how I would gladly supply a patch, however I don't. If this is not going to get fixed then please can someone @oracle reply to allow folks affected by this to make alternative arrangements. Running in 32bit mode is NOT and should not be considered a fix for this issue.

Many thanks.

comment:102 in reply to: ↑ 101 ; follow-ups: ↓ 103 ↓ 105 Changed 3 years ago by frank

Replying to rickw:

OK - this has been open for 2 months now as critical. I assume there is no

commitment to fix this.

You can't read, can you?

comment:103 in reply to: ↑ 102 Changed 3 years ago by kubrick

Replying to frank:

Replying to rickw:

OK - this has been open for 2 months now as critical. I assume there is no

commitment to fix this.

You can't read, can you?

Well, this is free software so Oracle has no obligation toward us, but it's hard to believe that someone is working on it. To fix the problem, the developers have to buy new hardware and maybe they're not willing to invest money.

But please, don't try to make me believe that they're working hard on it since two months!

comment:104 follow-ups: ↓ 106 ↓ 108 Changed 3 years ago by frank

Believe it or not, we are working on a fix. For the developers team it was harder than you might think to get the proper hardware. When it was proved that this is a bug related to new hardware it was NOT a matter of days to order this hardware. Well, you will not believe that. Oh, and as non-paying customer it is your right to demand fixing critical bugs with a determined response time. Sigh, the source code is open, I wonder why I didn't see a fix yet for this problem on the vbox-dev mailing list.

comment:105 in reply to: ↑ 102 Changed 3 years ago by rickw

Replying to frank:

Replying to rickw:

OK - this has been open for 2 months now as critical. I assume there is no

commitment to fix this.

You can't read, can you?

Clearly not. I missed your comment "@2011-04-21 15:53:09 changed by frank."

Apologies for that.

I fully appreciate both the open source nature of VBox and the stablity it has provided up to this point. I made my choice when I bought the hardware I did and my previous comment was not a demand for anything.

comment:106 in reply to: ↑ 104 Changed 3 years ago by kubrick

Replying to frank:

For the developers team it was harder than you might think to get the proper hardware. When it was proved that this is a bug related to new hardware it was NOT a matter of days to order this hardware.

That was my guess.

Well, you will not believe that.

I do believe it!

Sigh, the source code is open, I wonder why I didn't see a fix yet for this problem on the vbox-dev mailing list.

I know it's not trivial.

What I was saying is that you're not working on it since two month most likely due to hardware avaiability. I'm sure you would already have fixed the problem if not.

comment:107 Changed 3 years ago by togume

Frank - Is there anything we can do to help the devs with this? I'm sure most of us, including the ones without time to hack, would be more than happy to contribute back even if it's just helping with pre-release testing.

Let us know if there's any way in which we can be of use.

Thanks!

comment:108 in reply to: ↑ 104 Changed 3 years ago by rjdza

Replying to frank:

Sigh, the source code is open, I wonder why I didn't see a fix yet for this problem on the vbox-dev mailing list.

Because the majority of us are users, not devs.

comment:109 follow-up: ↓ 110 Changed 3 years ago by rjdza

I've noticed other problems with my MacBook when running in 64 bit mode - Games and other resource intensive apps really don't perform as well as I was expecting when under load.

As a test I booted into 64bit mode, and these problems have not yet appeared. I need to test for longer before I'm sure, but this is an early heads up to the devs - it may be a OSX issue on the new machines andnot a VirtualBox one.

The apps I was experienceing problems with are:

  • EVE Online Mac Client - graphics glitches, performance issues, performance of other apps while client is running.
  • Google Chrome - I usually open insane numbers of windows. On 64 bit doing so causes lagginess and poorer response and performance mostly in other apps, but occasionally in Chrome too.
  • VMWare Fusion - other apps suffer when it's running - they become slow and laggy. NOTE: VMWare itself has no issues.
  • Problems with Corel 11 for Mac (yeah, it has it's own issues, though)

I should note that the problems above manifested across reboots, and usually within a few hours. Currently in hour 96+ on 32 bit with no problems. I'm not sure if it's in any way related, but as I think about it, all the apps which cause this slowdown are either VM apps, or are apps that rely on "virtualising" or emulating the environment in which they work. Could there be a mem handling issue on OS X on the new macbooks?

Jason

comment:110 in reply to: ↑ 109 ; follow-up: ↓ 111 Changed 3 years ago by kubrick

Replying to rjdza:

I've noticed other problems with my MacBook when running in 64 bit mode - Games and other resource intensive apps really don't perform as well as I was expecting when under load.

Well the really odd thing about that is that I'm running a Core2 iMac in 64bits mode since January and I have no problems at all, even VirtualBox runs fine emulating 64 guests, and it's being used everyday. So if its an OSX problem, it's not only related to 64bits kernels, it's 64bits on this particular chipset I think.

but as I think about it, all the apps which cause this slowdown are either VM apps

Well of all the apps you're talking about, VirtualBox is the only one to do Hardware Virtualisation and thus relies on a particular kind of kernel support, all the others are running in user space only.

comment:111 in reply to: ↑ 110 ; follow-up: ↓ 112 Changed 3 years ago by rjdza

Replying to kubrick:

So if its an OSX problem, it's not only related to 64bits kernels, it's 64bits on this particular chipset I think.

Given that tis problem ONLY affects the newer chipsets, that's a given.

Well of all the apps you're talking about, VirtualBox is the only one to do Hardware Virtualisation and thus relies on a particular kind of kernel support, all the others are running in user space only.

I have to disagree.

First off, Hardware virtualisation doesn't require any kind of kernel support - you're thinking paravirtualisation. While most modern desktop virtualisation solutions make use of paaravirtualisation to speed things up (Virtual drivers), that only happens after installation, I.E. after the problems we are seeing have already been experienced.

Second, you may have meant kernel support for the VT (and equivalent) capabilities of modern processors, which as far as I know does require kernel support, but is not only used for hardware virtualisation. In fact, VT related tech can be used to harden applications, allowing them to run more securely and when less danger of adversely affecting other processes.

Finally, may not be aware of this, but Google Chroms uses a "sandbox" for all websites you open - a sort of virtualised pc per tab. Additionally, the EVE online and Corel apps are both Windows apps that have a wine-ish emulatiomn / translation layer around them to run on the mac. I pointed this out not because of the Virtual side of things, but rather because all the apps mentioned would use memory very differently from an average app.

Jason

comment:112 in reply to: ↑ 111 Changed 3 years ago by rjdza

Replying to rjdza:

First off, Hardware virtualisation doesn't require any kind of kernel support - you're thinking paravirtualisation. While most modern desktop virtualisation solutions make use of paaravirtualisation to speed things up (Virtual drivers), that only happens after installation, I.E. after the problems we are seeing have already been experienced.

Of course Paravirtualisation is on the guest, not the host.

In this context, hardware virtualisation is entirely independent of kernel support. And can be run fully in user space.

Jason

comment:113 follow-up: ↓ 115 Changed 3 years ago by frank

I have to clarify something. When talking about hardware virtualization (VT-x, AMD-V) this is primarily related to the host. Of course, with hardware virtualization the guest does not need to be modified (which is necessary with paravirtualization). The kernel support on the host is required because the relevant hardware instructions for setting up VMs and for entering a VM are privileged instructions.

When talking about software virtualization, we are talking about processors without VT-x/AMD-V. This requires kernel support as well because the world switch to the guest context requires privileged instructions as well. No, Qemu without the kernel module does not virtualization but emulation (therefore it is much slower than VirtualBox).

comment:114 follow-ups: ↓ 116 ↓ 117 Changed 3 years ago by klaus

Replying to togume:

Frank - Is there anything we can do to help the devs with this? I'm sure most of us, including the ones without time to hack, would be more than happy to contribute back even if it's just helping with pre-release testing.

Let us know if there's any way in which we can be of use.

Thanks!

Right now we need hardware, that's the only thing which can help us. Unfortunately I just got an ETA update from our supplier, and they now say it will take 3-4 weeks longer. I'm in complete disbelief myself.

comment:115 in reply to: ↑ 113 Changed 3 years ago by rjdza

Replying to frank:

I have to clarify something. When talking about hardware virtualization (VT-x, AMD-V) this is primarily related to the host. Of course, with hardware virtualization the guest does not need to be modified (which is necessary with paravirtualization). The kernel support on the host is required because the relevant hardware instructions for setting up VMs and for entering a VM are privileged instructions.

When talking about software virtualization, we are talking about processors without VT-x/AMD-V. This requires kernel support as well because the world switch to the guest context requires privileged instructions as well. No, Qemu without the kernel module does not virtualization but emulation (therefore it is much slower than VirtualBox).

I once again have to disagree.

 http://en.wikipedia.org/wiki/Virtualization#Hardware

Hardware virtualisation is the process of completely emulation hardware within a software process.

What you are talking about is perhaps best called hardware assisted virtualisation.

I should note that it is not only possible to have unmodified full hardware vitualisation (not paravirtualisation) without hardware assistance, it was what was done for all the first Virtualisation solutions, specifically VMWare. QEMU with kernel mode was full hardware virtualisation without hardware assistance, and not necessarily needing paravirtualisation.

If there is no hardware involvement, then it's not virtualisation. All virtualisation is only possible on similar hardware - I.E. with hardware involvement. That hardware doesn't have to be hardware assisted, though. Paravirtualisation also isn't the sole domain of virtualisation without hardware assistance. Real world tests have shown that hardware assisted full virtualisation can be significantly enhanced with the addition of paravirtualisation.

Finally, software virtualisation is mostly nothing to do with platform virtualisation. In fact, what WINE and similar products do is more correctly called software virtualisation.

In summary,

  • Hardware assisted virtualisation requires a VT or related processor AND kernel support
  • Hardware virtualisation does not require VT-x or AMD-V support, although it can benefit from these technologies
  • Software virtualisation mostly understood to be application virtualisation rather than platform virtualisation

Jason

comment:116 in reply to: ↑ 114 Changed 3 years ago by kubrick

Replying to klaus:

Right now we need hardware, that's the only thing which can help us. Unfortunately I just got an ETA update from our supplier, and they now say it will take 3-4 weeks longer. I'm in complete disbelief myself.

Do a remote access on my machine would help? Maybe in a first time, just to track down the issue, you could use a user account, if you really need to be root (which I would understand if you need to work on the kernel modules), I could make a fresh install for you alone, but it would be a bit more complicated of course :) because I need to use that computer sometimes...

comment:117 in reply to: ↑ 114 Changed 3 years ago by togume

Replying to klaus:

Replying to togume:

Frank - Is there anything we can do to help the devs with this? I'm sure most of us, including the ones without time to hack, would be more than happy to contribute back even if it's just helping with pre-release testing.

Let us know if there's any way in which we can be of use.

Thanks!

Right now we need hardware, that's the only thing which can help us. Unfortunately I just got an ETA update from our supplier, and they now say it will take 3-4 weeks longer. I'm in complete disbelief myself.

Ha. That sounds about right. I work for large companies, and the modus operandi is usually a 6 week procurement cycle for hardware (if you're lucky...).

Thanks for the update. Keep us in the loop if anything comes up where we can be of help.

comment:118 Changed 3 years ago by frank

Replying to rjdza:

I once again have to disagree.

 http://en.wikipedia.org/wiki/Virtualization#Hardware

Hardware virtualisation is the process of completely emulation hardware within a software process.

What you are talking about is perhaps best called hardware assisted virtualisation.

First of all, please let's restrict this discussion to x86 hardware. Current OSX hardware is x86 and VirtualBox is x86-only as well. I'm aware that there are other architectures which are much more suited for full virtualization than x86 (e.g. IBM 360).

And let's also exclude the virtual x86 mode from this discussion. Let's talk about modern 32-bit or 64-bit operating systems running in protected mode.

I agree that the terms we are using are probably different from Wikipedia. Like I said, we use the term "hardware virtualization" when using VT-x/AMD-V and the term "software virtualization" when these hardware features are not available. One can discuss about this decision but most users understand what we mean by these terms. And (in my opinion) any definition regarding virtualization is always a compromise.

I should note that it is not only possible to have unmodified full hardware vitualisation (not paravirtualisation) without hardware assistance, it was what was done for all the first Virtualisation solutions, specifically VMWare. QEMU with kernel mode was full hardware virtualisation without hardware assistance, and not necessarily needing paravirtualisation.

Emulation/Virtualization: Qemu without the kernel module is an emulator because it does not execute any guest code directly. Qemu does recompilation. With kernel module, Qemu directly executes guest user level code but not guest kernel level code. Privileged guest code is always recompiled. As soon as a part of the guest is recompiled we cannot denote as unmodified anymore.

I agree that unmodified full hardware virtualization without technologies like VT-x/AMDV is possible, but not on the x86 hardware. On x86, one can discuss if this is para virtualization or not, but in fact the guest must be modified, either during compile time (like done by the first Xen versions and much earlier by L4Linux) or during runtime. Runtime modification is done by the VMM (in that case I denote the hypervisor as part of the VMM).

Why is this modification necessary if no hardware assistance is possible? The usual technique to execute guests on x86 hardware is ring compression. The guest ring 0 is executed in ring 1, the hypervisor is executed in ring 0. Some privileged x86 instructions behave wrong when not executed in ring 0. See  this paper.

That is, if the guest behaves well, these modifications are not necessary. But in that case I would rather denote this technique as para-virtualization. To be more specific: It is not possible to run an unmodified (not changed during compile time neither during runtime) Windows guest without VT-x/AMD-V on x86 hardware.

Therefore (without knowing the source code of VMware) I highly doubt that VMware does unmodified hardware virtualization without VT-x/AMD-V (without hardware assistance in your terms). This is not possible (again, leaving out simple guests running in 16-bit real mode). AFAIK, without VT-x/AMD-V VMware rewrites large parts of the guest.

If there is no hardware involvement, then it's not virtualisation. All virtualisation is only possible on similar hardware - I.E. with hardware involvement. That hardware doesn't have to be hardware assisted, though. Paravirtualisation also isn't the sole domain of virtualisation without hardware assistance. Real world tests have shown that hardware assisted full virtualisation can be significantly enhanced with the addition of paravirtualisation.

No doubt about that. If the guest knows that it runs atop a hypervisor, it can behave well improving the performance.

Finally, software virtualisation is mostly nothing to do with platform virtualisation. In fact, what WINE and similar products do is more correctly called software virtualisation.

I would rather call that emulation.

comment:119 Changed 3 years ago by vardyh

Hi guys, there is one thing not mentioned above, that is the new MacBook uses Intel cpu, whose hardware assisted virtualization (VT-x) does not support natively executing real mode code. Is it possible that the issue here was caused by 64-bit qemu recompiler? PS: sorry for my poor english...

comment:120 follow-up: ↓ 121 Changed 3 years ago by frank

vardyh, that is unlikely. And actually the new processors support this guest mode, thee the entry Unrestricted guest execution enabled'' in the VBox.log.

comment:121 in reply to: ↑ 120 Changed 3 years ago by bewst

Replying to frank:

vardyh, that is unlikely. And actually the new processors support this guest mode, thee the entry Unrestricted guest execution enabled'' in the VBox.log.

It's worth a quick check. Where do I find that file on MacOS?

comment:122 Changed 3 years ago by OxOOCOFFEE

Hmm I just got a strange feeling that this will be fixed with updates that will be required for Lion update this summer? I hope I am so wrong, but something is telling me that all this will be done as part of Lion update (full screen spaces etc) On another hand did any one noticed screen update problems on 2011 MBP running in 32 bit mode with spaces (I have 4x3) and zooming in and out between spaces makes some screen not update properly or leaving in blurred state (like it was not totally stretched out after in/out animation) Also Mail, Preview Chrome and VBox windows have update problems like entire canvas is shifted to right/down by some pixels (10-30?) and simple screen refresh makes application look ok.

comment:123 in reply to: ↑ 40 Changed 3 years ago by tyron

Replying to pdmes:

Maybe this helps:

New Mac Pros (MBP 2011 and MP 2010) use 64-bit kernel by default  http://support.apple.com/kb/HT3770

"Third-party software (such as a virtualization engine) or hardware (such as a PCIe card) that relies on a kernel extension which was compatible with Mac OS X Server v10.5 may not work on Macs that use the 64-bit kernel in Mac OS X v10.6. Contact the software or hardware vendor for an updated kernel extension that works with the 64-bit kernel in Mac OS X Server v10.6.

As a workaround, you can temporarily start up with the 32-bit kernel to use older kernel extensions for your third-party software or hardware."  http://support.apple.com/kb/TS2937

If you'd like to switch between 32 and 64 bits versions, either session-only or permanently, there a kb at Apple about it:  http://support.apple.com/kb/ht3773

comment:124 follow-ups: ↓ 125 ↓ 126 ↓ 130 ↓ 131 ↓ 132 ↓ 137 ↓ 139 ↓ 145 ↓ 146 ↓ 147 ↓ 151 ↓ 153 ↓ 156 Changed 3 years ago by frank

Guys, we think we fixed the problem. Could you test  this test build?

comment:125 in reply to: ↑ 124 ; follow-ups: ↓ 134 ↓ 143 Changed 3 years ago by rednyte

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

So far, so good. Running Windows XP with no problems so far. Will let you know if I experience any.

comment:126 in reply to: ↑ 124 Changed 3 years ago by jjones

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Running on a 15" quad i7, here is what I'm seeing with the newest build:

Sitting at the grub boot screen on an ubuntu vm still gives 100% cpu usage ( i cannot recall if i had that issue on my older macbook)). Idling once the VM is running and on the desktop gives <10% cpu usage which is definitely better for me. XP VMs are idling in the same range but one browser window open sitting on a blank page causes the idle to increase to a 15-20% range with VT enabled. This is definitely far better and completely usable performance levels than the previous builds but it's hard to recall if its at the same levels or better than i saw on my old 13" C2D MBP.

This definitely makes my Vbox VMs usable again, thanks !

comment:127 follow-up: ↓ 129 Changed 3 years ago by OxOOCOFFEE

Installed and running fine on 13" i7 MBP. Guest XP x32. Looks good so far. CPI 4-5% when guest idle. Will work on it for rest of day will report if any problems.

Thank you guys

comment:128 Changed 3 years ago by frank

Replying to jjones:

Sitting at the grub boot screen on an ubuntu vm still gives 100% cpu usage ( i cannot recall if i had that issue on my older macbook)).

This is not a VBox bug but a GRUB bug, at least this is definitely no regression. It polls the keyboard.

comment:129 in reply to: ↑ 127 Changed 3 years ago by ChrisD24

So far this seems to work with Windows 7 32-Bit.

comment:130 in reply to: ↑ 124 Changed 3 years ago by jayson

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Initial tests look good to me. I will keep things running and provide feedback if I notice anything interesting (MacBookPro8,2 -std 4GB ram) Ubuntu 10.10 boots to login in 10-15 seconds Windows XP Home boots to startup music in ~20 seconds

I had some network strangeness on XP Home when I was running the MBP in 32 bit mode. That does not appear to be an issue anymore.

Definitely appreciate all the effort getting this fixed!

comment:131 in reply to: ↑ 124 Changed 3 years ago by michaelg

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Running Win7 with newest Macbook Pro in 64bit mode and everything is running just fine, now - so far. Well done.

comment:132 in reply to: ↑ 124 Changed 3 years ago by twasson

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Great news! Can someone with a 12 core Mac Pro (or any Mac Pro running a 64 bit kernel by default) weigh in on this? I can test it next week on mine, but not before then, and I'm so curious!

comment:133 Changed 3 years ago by klaus

One of the problems with the 12 core Mac Pros definitely is NOT fixed in this build (the VERR_INTERNAL_ERROR one). That would require at least 4.0.7r71686. Maybe we can do another test build later/tomorrow. See #8389.

comment:134 in reply to: ↑ 125 Changed 3 years ago by richard.vijay@…

Replying to rednyte:

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

So far, so good. Running Windows XP with no problems so far. Will let you know if I experience any.

Hi Frank

Good Work

I tested and found that VMBox is lot better and at a performance level which is acceptable. I can confirm this on i7,8GB MacPro 2011 edition with default 64 bit Mac X 10.6.7 I used VTx as required.

Tested and found Ok with VMBox itself is upgradable directly (OK, Acceptable) 1) 32 bit Ubuntu 10:10 working OK,Acceptable 2) 32 bit Ubuntu 10:10 -> Upgradable to 11 (Ok,Acceptable) 3) Oracle Solaris 11 32bit -> OK Acceptable 4) Open SUSE 64 bit -> Working OK Acceptable 5) Fedora 14 32 bit ->working OK Acceptable Further test continuing @ serverpress labs

comment:135 Changed 3 years ago by jonesey.m

All good for me on 64-bit host kernel, VT-x on. Using WinXP and Ubuntu 11.04 guests.

I will report if I see any stability issues longer term.

comment:136 Changed 3 years ago by richard.vijay@…

Working OK

Hi Frank

Good Work

I tested and found that VMBox is lot better and at a performance level which is acceptable.

I can confirm this on

i7,8GB MacPro 2011 edition with default 64 bit Mac X 10.6.7

I used VTx as required.

Tested and found Ok with

VMBox itself is upgradable directly (OK, Acceptable)

1) 32 bit Ubuntu 10:10 working OK,Acceptable

2) 32 bit Ubuntu 10:10 -> Upgradable to 11 (Ok,Acceptable)

3) Oracle Solaris 11 32bit -> OK Acceptable

4) Open SUSE 64 bit -> Working OK Acceptable

5) Fedora 14 32 bit ->working OK Acceptable

Further test continuing @ [www.serverpress.wordpress.com] labs (twitter :[www.twitter.com\serverpress] ) Thanks

comment:137 in reply to: ↑ 124 ; follow-up: ↓ 138 Changed 3 years ago by rickw

Replying to frank:

Guys, we think we fixed the problem.

Indeed: 64bit debian squeeze is go ... screamingly fast too. Thank you very much for sorting

comment:138 in reply to: ↑ 137 Changed 3 years ago by rickw

Replying to rickw:

Replying to frank:

Guys, we think we fixed the problem.

Indeed: 64bit debian squeeze is go ... screamingly fast too. Thank you very much for sorting

And CentOS 5.5 2.6.18-194.11.4.el5 on x86_64

comment:139 in reply to: ↑ 124 Changed 3 years ago by xiaohwan

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Works well on i7 8GB MBP 2011. Mac 10.6.7 64bit Guest Ubuntu 10.10.

Appreciate your efforts!

comment:140 Changed 3 years ago by Gazebo

Test build seems to be working on my MacBook pro. (Early 2011 model, i7 2.2ghz processor)

comment:141 Changed 3 years ago by togume

Stable so far in my 15" MBP i7 Quad (latest), now on 64 bit OSX kernel, running x32 Win7.

Will also report back if anything changes.

Thanks for this. Awesome news!

comment:142 Changed 3 years ago by mehtashail

Works great on my MBP i7 Quad (sandy bridge) on 64bit kernel. Running OEL 5.5.

Thanks a lot!

comment:143 in reply to: ↑ 125 Changed 3 years ago by dlangh

Replying to rednyte:

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

So far, so good. Running Windows XP with no problems so far. Will let you know if I experience any.

Sorry guys, I downloaded this latest release and installed, then ran my VM copy of Windows 2000 which I use for MSSQL 2000 Server in my mac. When this problem first came I out I tried disabling VT-X which is how it's still configured.

My system ran seemingly fine for about 20 minutes as I continued to use my machine and also access the SQL server and then my computer hard-froze just like it has been doing with VirtualBox running on this system ( an early 2011 MBPro).

So I think this is not yet resolved.

comment:144 Changed 3 years ago by commorancy

It kind of works for me in 64 bit kernel mode. While it doesn't do the hokey-pokey when booting or running, it does have some screen refresh issues with my Win 7 32bit guest when using two screens.

The screen refresh issue only presents when:

  1. using a second display that's larger than the notebook's display
  2. putting the VBox guest window on the second display
  3. making the guest window larger than the notebook's built-in display resolution

The screen refresh is problematic as parts of the screen remain black. The screen refresh can also be haphazard where the screen looks fine, then refreshes and parts of it become black. On the Win 7 login screen for example, there are two black bars on the top and bottom. Other than the screen refresh issue, it seems to work so far. I haven't let it run a long time to see if it freezes the computer. Will update if that happens.

Thanks.

comment:145 in reply to: ↑ 124 Changed 3 years ago by dlee

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Thanks for the build. My Windows 7 64-bit guest is running at full speed, but not without stability issues. When trying to install Windows updates, I got a blue screen: "A clock interrupt was not received on a secondary processor".

I'm not sure which update cause it to bluescreen. I checked the update logs and none of the updates were marked as failed. Maybe it bluescreened during restart.

comment:146 in reply to: ↑ 124 Changed 3 years ago by vardyh

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Nice work frank, thanks! Could you please tell us the detail about the issue?

comment:147 in reply to: ↑ 124 Changed 3 years ago by timebenezer

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Working for me here Frank - been running VM constant for last 2 hours and working. No issues. I haven't changed any settings since bought Mac (apart from loading with 3+2 when needed before). So it's running 64-bit, 15" MacBook Pro 2.3 ghz, 8 GB RAM and SSD. Activity monitor shows everything working normal, and have bumped up the RAM to the VM past 4GB and still no issues; so for me this is looking very good.

comment:148 Changed 3 years ago by OxOOCOFFEE

Ok it has been one full day of work and no problems so far. MBP 13, i7, 8Gb, 256 SSD

comment:149 Changed 3 years ago by togume

Checking in - Running Win7 (x32) since yesterday with no crashes. Another nice side effect has been that my battery life is considerably better...

comment:150 Changed 3 years ago by steve_e

I had the same problem on a new SandyBridge Core i7 iMac. Was trying to install CentOS. Seems to work fine with VB 4.0.7.

comment:151 in reply to: ↑ 124 ; follow-up: ↓ 152 Changed 3 years ago by mawe@…

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

thank u guy, i was nearly running out of emailadresses to evaluate other products ;)

comment:152 in reply to: ↑ 151 Changed 3 years ago by xiaohwan

you may like this  http://nowmymail.com

:D

Replying to mawe@go-open.de:

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

thank u guy, i was nearly running out of emailadresses to evaluate other products ;)

comment:153 in reply to: ↑ 124 ; follow-up: ↓ 154 Changed 3 years ago by jimsimons

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

I hate to rain on the parade here, but my MBP Core i7 2.3GHz host running Win7 guest on 4.0.7 froze in the first 15 minutes. All of the acceleration options were off, not sure if there's something else I was missing. Working in 32-bit mode is a viable option for me, so not too big a deal, just wanted to flag that this might not be out of the woods yet. Let me know if there are any particular metrics or logs that'd be useful for me to grab.

comment:154 in reply to: ↑ 153 ; follow-up: ↓ 155 Changed 3 years ago by zandr

Replying to jimsimons:

I hate to rain on the parade here, but my MBP Core i7 2.3GHz host running Win7 guest on 4.0.7 froze in the first 15 minutes. All of the acceleration options were off

The two reports I've seen of freezing have both had VT-x turned off. Disabling VT-x was an early attempted workaround for this bug, but it seems like that has its own problems.

I've been running just fine with VT-x on. If that works for you, then I think the freezes with VT-x disabled are a different bug.

comment:155 in reply to: ↑ 154 Changed 3 years ago by jimsimons

Replying to zandr:

The two reports I've seen of freezing have both had VT-x turned off. Disabling VT-x was an early attempted workaround for this bug, but it seems like that has its own problems.

I've been running just fine with VT-x on. If that works for you, then I think the freezes with VT-x disabled are a different bug.

Thanks much for the tip! My initial test of a couple of hours with VT-x on looks good, so yeah, looks like there might be a secondary bug. Thanks again!

comment:156 in reply to: ↑ 124 ; follow-up: ↓ 158 Changed 3 years ago by tyron

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Well, I guess I'm the only one with no luck.

I'm running a MBP i7 2GHz, early 2011. I'm with VB v.4.0.7 r71683 and trying to run a VM with OpenFlow VHD (which is available at  http://openflowswitch.org/downloads/OpenFlowTutorial-081910.vmware.zip). To run this application, I'm required to enable PAE/NX and disable acceleration VT-x/AMD-v.

comment:157 Changed 3 years ago by dlee

I also want to report that the last time the intermittent slowdown happened, VirtualBox Guest Additions crashed.

comment:158 in reply to: ↑ 156 ; follow-up: ↓ 159 Changed 3 years ago by frank

Replying to tyron:

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Well, I guess I'm the only one with no luck.

I'm running a MBP i7 2GHz, early 2011. I'm with VB v.4.0.7 r71683 and trying to run a VM with OpenFlow VHD (which is available at  http://openflowswitch.org/downloads/OpenFlowTutorial-081910.vmware.zip). To run this application, I'm required to enable PAE/NX and disable acceleration VT-x/AMD-v.

What happens if you enable PAE, enable VT-x but disable nested paging?

comment:159 in reply to: ↑ 158 Changed 3 years ago by tyron

Replying to frank:

Replying to tyron:

Replying to frank:

Guys, we think we fixed the problem. Could you test  this test build?

Well, I guess I'm the only one with no luck.

I'm running a MBP i7 2GHz, early 2011. I'm with VB v.4.0.7 r71683 and trying to run a VM with OpenFlow VHD (which is available at  http://openflowswitch.org/downloads/OpenFlowTutorial-081910.vmware.zip). To run this application, I'm required to enable PAE/NX and disable acceleration VT-x/AMD-v.

What happens if you enable PAE, enable VT-x but disable nested paging?

So far, it's working perfect like that. I'll be using this VM during this week, so that I can notify if something goes wrong. Thank you!

comment:160 Changed 3 years ago by prairie

Is this a problem with iMac i5 cpu in the new 2011 21.5" iMacs also?

comment:161 Changed 3 years ago by mikestp

Hi, thanks for this update of VBox, my system (recent MBP, 8GB, 2.3GHz, SandyBridge) has been running fine for all weekend long. Running an XP32 guest. No issues to report when running the guest on the primary display. Getting some screen refresh issues when guest is running on 2nd screen. But I guess that's a different bug. Anyway, I'm happy what what I got so far; thank you guys. By the way, when is 4.0.7 due for final release? Thanks !!

comment:162 Changed 3 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

That fix is in VBox 4.0.8. Please open separate tickets for other issues.

comment:163 Changed 3 years ago by kalifg

  • Status changed from closed to reopened
  • Resolution fixed deleted

I have a new Macbook Pro i7 (running 10.6.7), running a fresh install of VirtualBox 4.0.8 r71778. I was able to install an Ubuntu guest without issue. The guest rebooted after installation and came up into the Ubuntu graphical interface without a problem.

However, upon installing the guest tools and rebooting the guest, my host locked up. I tried to load the guest again with the same result.

I disabled nested paging and now the host doesn't lock up but the guest is taking over 10 minutes so far to load and CPU usage is over 100%

I killed VirtualBox and decided to try it with VT-x disabled, with the same result.

If I tell Ubuntu to boot it's recovery mode kernel(VT-x enabled/Nested paging disabled), it's booting but slowly, still high CPU usage and some page faults.

I'm going to try recovery mode with nested paging enabled, but I want to get this posted in case it locks the machine.

comment:164 Changed 3 years ago by frank

Please attach a VBox.log of this VM session.

Changed 3 years ago by kalifg

Boots, never shows any text or graphics on the screen. 100%+ CPU usage, locks host OS after a few minutes

comment:165 Changed 3 years ago by commorancy

With 4.0.8 r71778, everything appears stable to me. Refresh issue appears resolved and no hangs yet. Thanks Frank.

comment:166 in reply to: ↑ description Changed 3 years ago by jcw5002

I have been running into similar hard-freeze problems with my 2011 MBP. I updated to 4.0.8 r71778 and still saw the problem with my VMs. My entire system would freeze a few minutes after starting the VM... even if I wasn't actively using it at the time. System logs were empty.

I tried this fix: "enable PAE, enable VT-x but disable nested paging" and it appears to be working for me!! I have been running for ~ 2h now with 2 VMs.. taking up close to 4GB of ram (total). Everything is stable.

Machine specs:

2011 (current model) 15" MBP, 2Ghz i7, 8GB ram, SSD Mac OS X 10.6.7 (up-to-date) - 64-bit Virtualbox 4.0.8 r71778 Guest OS: Windows Xp SP3, and Ubuntu 11.04

Previous setting (where i saw the freezes) were: PAE, VT-x and Nested paging OFF. (Due to slowness in earlier vbox versions on this machine)

comment:167 follow-up: ↓ 168 Changed 3 years ago by kalifg

I've tried enable PAE, enable VT-x and disable nested paging, with the same lock ups. Is your ubuntu guest 32 or 64 bit?

comment:168 in reply to: ↑ 167 Changed 3 years ago by jcw5002

Replying to kalifg:

I've tried enable PAE, enable VT-x and disable nested paging, with the same lock ups. Is your ubuntu guest 32 or 64 bit?

32bit

comment:169 Changed 3 years ago by frank

All people who think they still experience this problem with VBox 4.0.8 please attach a VBox.log of such a 4.0.8 session to this ticket.

comment:170 Changed 3 years ago by kalifg

I installed 32 bit Ubuntu instead of 64 bit, and it's running great with PAE enabled, VT-x enabled, and nested paging disabled.

Changed 3 years ago by jcw5002

MBP Host crash (VT-x, PAE, nested paging ALL OFF)

comment:171 Changed 3 years ago by isptech

jcw5002 "Disabling VT-x was an early attempted workaround for this bug, but it seems like that has its own problems. " --zandr

"What happens if you enable PAE, enable VT-x but disable nested paging? " --frank

comment:172 Changed 3 years ago by frank

The preferred mode is VT-x enabled. The crash with VT-x disabled must be investigated, is there a crash dump available?

Regarding PAE: There is still a known bug which can make 32-bit guests with PAE enabled freeze. The workaround for this bug is disabling nested paging but this problem has nothing to do with this ticket.

Changed 3 years ago by niklas

vbox 4.0.8 log from early 2011 mbp 15" 2.2ghz i7, debian 64bit guest running very slow

Changed 3 years ago by jcw5002

frank - I have attached a zip containing some VirtualBox logs from Console->CrashReporter. I think this is what you are looking for. I have narrowed the crashes down to the VT-x checkbox. That seems to be the only factor on my machine. Enabling = OK. If it's unchecked, my system is bound to freeze with a 3-beep hardware sound.

comment:173 Changed 3 years ago by ebonweaver

As others are apparently indicating, this bug has NOT been fixed. While it took longer (1.5 hours) to lock up, this bug is still in place. VB WILL cause your Mac to lock up when running a VM, guest type does not matter if people see this with Ubuntu as I'm seeing it with XP. The freeze is a complete seizure of the system, unresponsive, screen frozen with whatever you were doing in whatever app had focus. Freeze occurs if VB is foreground or background app. Power light on front blinks in a sequence that Applecare identifies as a memory fault. This issue did not exist previous to version 4 of VB with the same VM. VB is causing critical memory faults that lock up the system forcing a reboot making it a dangerous application that is no longer suitable for deployment on Mac systems.

Changed 3 years ago by ebonweaver

comment:174 Changed 3 years ago by frank

ebonweaver, your problems might be specific to non-VT-x mode. Does it run stable with VT-x enabled (your VM has VT-x disabled)?

comment:175 follow-up: ↓ 176 Changed 3 years ago by frank

  • Priority changed from critical to major

So far I've only seen problem with VT-x disabled with With VBox 4.0.8. Mac OS X hosts which are 64-bit capable should be also implement the VT-x feature. Therefore reducing the priority.

comment:176 in reply to: ↑ 175 Changed 3 years ago by dlee

Replying to frank:

So far I've only seen problem with VT-x disabled with With VBox 4.0.8. Mac OS X hosts which are 64-bit capable should be also implement the VT-x feature. Therefore reducing the priority.

I'm seeing the IE9 slowdown with VT-x and Direct3D enabled. Do you think it might have something to do with the Direct3D emulation layer?

comment:177 Changed 3 years ago by ebonweaver

Confirming this bug seems to only manifest when VT-x is disabled. Since this was not required in previous versions, and should not cause a total system lockup, it's still a critical bug that needs to be fixed as it threatens system integrity. The bug either needs to be fixed so that as before VT-x could be disabled, or VB needs to not allow a VM to be started if VT-x is disabled, or if it's mandatory at this point just enable it and not have an option I suppose.

comment:178 follow-up: ↓ 179 Changed 3 years ago by michaln

ebonweaver: Since your system indicates faulty memory (according to what you say), have you ever considered the possibility that the memory in your system is faulty?

For what it's worth, I've been using VirtualBox on a 2011 MBP with a Sandy Bridge i7 for a few days now and have not seen any stability problems so far.

comment:179 in reply to: ↑ 178 Changed 3 years ago by jcw5002

Replying to michaln:

ebonweaver: Since your system indicates faulty memory (according to what you say), have you ever considered the possibility that the memory in your system is faulty?

For what it's worth, I've been using VirtualBox on a 2011 MBP with a Sandy Bridge i7 for a few days now and have not seen any stability problems so far.

My 2011 MBP also indicated faulty memory (via the 3 hardware beeps) that occurred during the freezes when I was using VT-x disabled. I took it to the Apple store where they did a series of tests on the memory and everything looked fine.

My (wild) guess is that the issues with VT-x disabled are somehow corrupting the memory space and causing the triple beep freezes.

I have been up for 12 days now using a bunch of different VMs (Win XP, Win 7, Ubuntu 11.04 32) and have not had any crashes since enabling VT-x on my VMs.

comment:180 Changed 3 years ago by michaln

It's extremely unlikely that any software could cause hardware memory faults. We certainly aren't aware of any mechanism which could trigger that.

It is far, far more likely that hardware memory faults cause software to fail. Something as simple as removing and re-inserting memory modules can fix the faults in case of marginal connections etc.

There is also no fundamental difference in how VirtualBox uses memory between VT-x and non-VT-x modes. For the most part, guest memory accesses will translate to more or less the same bus cycles. The real difference is that without VT-x and especially without nested paging, there is more overhead because the CPU's paging unit effectively has to be emulated in software. But that has nothing to do with Macs or OS X, really.

comment:181 Changed 3 years ago by ebonweaver

Extended hardware tests confirm nothing is wrong with the machine, in addition to the fact that there are no issue unless VB is being run (in non VT-x mode as we are now seeing). It is highly unlikely that so many people with Mac systems spontaneously have memory issues as of the release of a certain version of VB. Problems did not occur until the upgrade, and immediately occurred as of the upgrade. The issue likewise has now shown to not be an issue unless VT-x is disabled. All troubleshooting across many tests and many users shows the issue is a bug introduced with a certain version of VB that apparently is isolated to VT-x being disabled on a VM when using an i7 (i5?) machine.

To say all that again, which has been said before:

  1. No issue like this ever occurred prior to VB 4.04
  2. Issue goes away if the VM is set to use VT-x, which now is a default on when making a VM but was not in the past, so it was old VMs that caused the lockups.
  3. Extended hardware tests with all of Apple's tools confirm there is no hardware issue anywhere.
  4. The system has zero issues outside of running a VM with VB in non VT-x mode.
  5. If VT-x is on, I can run a VM for 8 hours with no issue
  6. If VT-x is off, it will take 30 to 90 minutes for the system to lock
  7. If there was a memory failure at the hardware level of the nature being indicated at the time of lock up (3 pulsing blinks), the system would fail to boot (3 tones). This does not happen.
  8. Talking with Apple support confirms all this and indicates the application is causing a memory fault.

Why this is limited to non VT-x mode I don't know. Why it apparently is limited to i5/i7 based machines I don't know. Why it was introduced in 4.04 I don't know. I'm not a programmer, can't answer those, all I know is the evidence points to a bug in the software. If someone can run on an i7 with VT-x off and not have a lock up after several hours, then there is yet another variable we have not seen, but I have yet to see anyone make that claim.

comment:182 Changed 3 years ago by michaln

Can you explain how an application can cause a hardware memory fault? We don't believe it's possible. If you know more, please let us know.

Various memory testing utilities are often not very useful. They can detect bad memory cells, but they can't detect faults that are only triggered by a specific access pattern. Today's PC memory controllers are so complex that they can probably not be adequately stress tested within a reasonable period of time. If a memory test tool finds a problem, you can be sure there's a problem. If the tool finds no problem, it's no proof of the absence of one.

And yes, I can run a VM with no VT-x on an i7-based 2011 MBP for hours and hours without trouble.

comment:183 Changed 3 years ago by ebonweaver

Like I said, I'm not a programmer, or a hardware designer, I can't tell you how those thing work, I can only tell you how they behave. My (and everyone else's) belief on this end is that it's obviously not a hardware failure, it's that the system is destabilized by the software to a point that causes it to seize up and it then reacts in a way that is similar to a hardware fault. This is an incredibly rare situation, no one has ever heard of anything like this before, but putting all the pieces together points to this.

To come at this from another angle, can you explain why so many people suddenly have this issue that did not have it before the upgrade? Can you explain why the VT-x option turns the problem on and off? What "specific memory pattern" are these things causing that were not in previous versions that nothing else creates?

As you are the only one so far that seems to not have this issue, that is another point of curiosity. How much RAM do you have in that system? I have 8gb, stock Apple 1067mhz. What OS version are you running? I'm on 10.6.7. Have you compared my log to your setup for things other than VT-x that may be different?

comment:184 follow-up: ↓ 185 Changed 3 years ago by michaln

Well, we're not hardware designers either, but we are programmers. We believe that if hardware indicates it's faulty, it's faulty, even if the fault lies in erroneously indicating a hardware failure.

It's simply not true that "so many people suddenly have this issue". VirtualBox before 4.0.8 certainly had problems with VT-x on lots of the new Macs, but that was caused by a different default kernel and changed kernel behavior. Even before that, turning off VT-x worked for most people, aside from the limitations of raw mode (no SMP or 64-bit guests).

The MBP I have here has 8 GB, although it has 1333 MHz DDR3 memory. It's a 15" MacbookPro8,2 with a 2.0 GHz i7. It's running 10.6.7.

comment:185 in reply to: ↑ 184 Changed 3 years ago by mojoneill

First off, thanks to the devs for pushing the fix out there. And all the community members who tested and helped. Really cool convergence of people.

Even if there are still some problems, I think we're further along than we were...and some folks are even happy. That's not a bad place to be.

Second off, in determining whether or not there's a memory problem, I think it would probably be worthwhile for the "at risk" machines (those machines who experience an error indicating a memory fault) to use a thorough memory testing application and let that run for half a day or a day. I don't think testing while you wait at the Apple Store really does justice to what's entailed in memory testing and ferreting out faults.

Perhaps if the owners of some "at risk" machines could report back and say, "I've run Memtest for 20 hours without a problem. This makes me fairly confident that the memory is fine" we'd have more confidence in isolating the problem.

-Michael

I've used Memtest in the past on PC's. Not sure what the best tool is on Macs. Here are some possible resources:

 http://guides.macrumors.com/Testing_RAM

comment:186 Changed 3 years ago by pswoboda

Hi, I'm using the 4.0.8 release on 64 bit OS X (recent MacBook Pro). With a 32-bit XP guest, after about 20 minutes of use, particularly with a USB internet dongle attached, the whole machine will lock up completely, with nothing useful in the logs.

Best regards,

Paul

comment:187 Changed 3 years ago by frank

pswoboda, the VBox.log file of such a VM session is missing.

comment:188 Changed 2 years ago by frank

  • Status changed from reopened to closed
  • Resolution set to fixed

No response, finally closing.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use